Uses of Class
org.alfresco.rest.api.model.Category
Packages that use Category
Package
Description
-
Uses of Category in org.alfresco.rest.api
Methods in org.alfresco.rest.api that return CategoryModifier and TypeMethodDescriptiondefault CategoryCategories.getCategoryById(String id, Parameters parameters) Categories.getCategoryById(StoreRef storeRef, String id, Parameters parameters) default CategoryCategories.updateCategoryById(String id, Category fixedCategoryModel, Parameters parameters) Categories.updateCategoryById(StoreRef storeRef, String id, Category fixedCategoryModel, Parameters parameters) Update category by ID.Methods in org.alfresco.rest.api that return types with arguments of type CategoryModifier and TypeMethodDescriptionCategories.createSubcategories(String parentCategoryId, List<Category> categories, Parameters parameters) Categories.createSubcategories(StoreRef storeRef, String parentCategoryId, List<Category> categories, Parameters parameters) Categories.getCategoryChildren(String parentCategoryId, Parameters parameters) Categories.getCategoryChildren(StoreRef storeRef, String parentCategoryId, Parameters parameters) Categories.linkNodeToCategories(String nodeId, List<Category> categoryLinks, Parameters parameters) Categories.linkNodeToCategories(StoreRef storeRef, String nodeId, List<Category> categoryLinks, Parameters parameters) Link node to categories.Categories.listCategoriesForNode(String nodeId, Parameters parameters) Get categories linked from node.Methods in org.alfresco.rest.api with parameters of type CategoryModifier and TypeMethodDescriptiondefault CategoryCategories.updateCategoryById(String id, Category fixedCategoryModel, Parameters parameters) Categories.updateCategoryById(StoreRef storeRef, String id, Category fixedCategoryModel, Parameters parameters) Update category by ID.Method parameters in org.alfresco.rest.api with type arguments of type CategoryModifier and TypeMethodDescriptionCategories.createSubcategories(String parentCategoryId, List<Category> categories, Parameters parameters) Categories.createSubcategories(StoreRef storeRef, String parentCategoryId, List<Category> categories, Parameters parameters) Categories.linkNodeToCategories(String nodeId, List<Category> categoryLinks, Parameters parameters) Categories.linkNodeToCategories(StoreRef storeRef, String nodeId, List<Category> categoryLinks, Parameters parameters) Link node to categories. -
Uses of Category in org.alfresco.rest.api.categories
Methods in org.alfresco.rest.api.categories that return CategoryModifier and TypeMethodDescriptionCategoriesEntityResource.readById(String id, Parameters parameters) GET /categories/{categoryId}CategoriesEntityResource.update(String id, Category categoryModel, Parameters parameters) PUT /categories/{categoryId}Methods in org.alfresco.rest.api.categories that return types with arguments of type CategoryModifier and TypeMethodDescriptionNodesCategoryLinksRelation.create(String nodeId, List<Category> categoryLinks, Parameters parameters) POST /nodes/{nodeId}/category-linksSubcategoriesRelation.create(String parentCategoryId, List<Category> categoryList, Parameters parameters) POST /categories/{categoryId}/subcategoriesNodesCategoryLinksRelation.readAll(String nodeId, Parameters parameters) GET /nodes/{nodeId}/category-linksSubcategoriesRelation.readAll(String parentCategoryId, Parameters parameters) GET /categories/{categoryId}/subcategoriesMethods in org.alfresco.rest.api.categories with parameters of type CategoryModifier and TypeMethodDescriptionCategoriesEntityResource.update(String id, Category categoryModel, Parameters parameters) PUT /categories/{categoryId}Method parameters in org.alfresco.rest.api.categories with type arguments of type CategoryModifier and TypeMethodDescriptionNodesCategoryLinksRelation.create(String nodeId, List<Category> categoryLinks, Parameters parameters) POST /nodes/{nodeId}/category-linksSubcategoriesRelation.create(String parentCategoryId, List<Category> categoryList, Parameters parameters) POST /categories/{categoryId}/subcategories -
Uses of Category in org.alfresco.rest.api.impl
Methods in org.alfresco.rest.api.impl that return CategoryModifier and TypeMethodDescriptionCategoriesImpl.getCategoryById(StoreRef storeRef, String id, Parameters parameters) CategoriesImpl.updateCategoryById(StoreRef storeRef, String id, Category fixedCategoryModel, Parameters parameters) Methods in org.alfresco.rest.api.impl that return types with arguments of type CategoryModifier and TypeMethodDescriptionCategoriesImpl.createSubcategories(StoreRef storeRef, String parentCategoryId, List<Category> categories, Parameters parameters) CategoriesImpl.getCategoryChildren(StoreRef storeRef, String parentCategoryId, Parameters parameters) CategoriesImpl.linkNodeToCategories(StoreRef storeRef, String nodeId, List<Category> categoryLinks, Parameters parameters) CategoriesImpl.listCategoriesForNode(String nodeId, Parameters parameters) Methods in org.alfresco.rest.api.impl with parameters of type CategoryModifier and TypeMethodDescriptionCategoriesImpl.updateCategoryById(StoreRef storeRef, String id, Category fixedCategoryModel, Parameters parameters) Method parameters in org.alfresco.rest.api.impl with type arguments of type CategoryModifier and TypeMethodDescriptionCategoriesImpl.createSubcategories(StoreRef storeRef, String parentCategoryId, List<Category> categories, Parameters parameters) CategoriesImpl.linkNodeToCategories(StoreRef storeRef, String nodeId, List<Category> categoryLinks, Parameters parameters) -
Uses of Category in org.alfresco.rest.api.model
Methods in org.alfresco.rest.api.model that return Category